cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c	Program cpt_grimm_2x.f
c		Vincent Lesur 29/04/2008
c
c       Computes the GRIMM-2 model at a given time, co-lat, 
c       longitude east and radius
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
	program cpt_grimm_2x
c
        use grimm_2x
c
        implicit none
c
        integer nbm
        parameter (nbm=4500)
c
        integer nb
        real*8  bc(nbm),clt,dln,rad,dt,dx,dy,dz,df
c
        dx=0.0d0
        dy=0.0d0
        dz=0.0d0
        df=0.0d0
c
c  read radius, etc....
        write(*,'(A,$)')'Input radius in km (e.g. 6371.2 km): '
        read(*,*)rad
        write(*,'(A,$)')'Input geocentric co-latitude in degrees : '
        read(*,*)clt
        write(*,'(A,$)')'Input geocentric longitude east in degrees : '
        read(*,*)dln
        write(*,'(A,$)')'Input date in decimal years : '
        read(*,*)dt
c
c  Set initial values
        call init_grimm_2x(nb,bc)
c
c  Re-set GRIMM coeff file name if necessaary
c       nomg='./grimm_2x.cof'
c
c  Calculate grimm values
        call forward_grimm_2x(nb,bc,clt,dln,rad,dt,dx,dy,dz,df)
c
        write(*,*)
        write(*,'(A,f10.3)')'X= ',dx
        write(*,'(A,f10.3)')'Y= ',dy
        write(*,'(A,f10.3)')'Z= ',dz
        write(*,'(A,f10.3)')'F= ',df
        write(*,*)
c
        stop
        end
