cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c	Program mkmod_field
c		Vincent Lesur 26/01/2007
c
c       Compute the GRIMM-2 Gauss coefficients for a given: 
c       epoch,radius and time derivative
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
	program mkmod_field
c
        use grimm_2x
c
        implicit none
c
        integer nbm
        parameter (nbm=45000)
c
        integer nb
        integer i,j,il,im,inp,ideriv
        real*8  bc(nbm),glm,ry,dt,rr,ra
        real*8, allocatable :: dw(:)
c
        character cc
c
        real*8 DBVALU
        external DBVALU
c
c  Set initial values
        call init_grimm_2x(nb,bc)
c
c  Re-set GRIMM coeff file name if necessaary
c       nomg='./grimm_2x.cof'
c
c  Read GRIMM coeff 
        open(10,file=nomg,status='old')
          read(10,*)cc
          read(10,*)cc
          do i=1,nb
            read(10,*)cc,il,im,bc(i)
          enddo
        close(10)
c
c  read date
        write(*,*)'GRIMM-2x start date : 2001.0 '
        write(*,*)'GRIMM-2x end   date : 2009.5 '
c
        write(*,'(A,$)')'Input date of interest  in decimal years : '
        read(*,*)ry
        call dy2mjd(ry,dt)
        dt=(dt-ryg)/365.25d0
c
c  read modelling radius
        write(*,'(A,$)')'Input radius in km (e.g. 6371.2 km): '
        read(*,*)rr
        ra=3485.d0
        rr=ra/rr
c
c  read time derivatives
        write(*,'(A,$)')
     >  'Input field (F), first (S) or second (A) time derivative : '
        read(*,*)cc
        ideriv=0
        if(cc.eq.'S')ideriv=1
        if(cc.eq.'A')ideriv=2
        if(cc.eq.'D')ideriv=3
c
c  Compute & output
        open(11,file='mkmod_field.out')
        write(11,'(A)')'# ref date '
        write(11,'(A)')'# i degree order glm 0.000 '
        write(11,'(A)')'###########'
        write(11,*)ry
        allocate (dw(1:3*isog))
        cc='i'
        i=1-itg
        inp=1
        do il=1,ilg
          im=0
c
          i=i+itg
          glm=DBVALU(tkg,bc(i),itg,isog,ideriv,dt,inp,dw)
          glm=glm*rr**(il+2)
          write(11,*)cc,il,im,glm,0.0d0
c
          do im=1,il
c
            i=i+itg
            glm=DBVALU(tkg,bc(i),itg,isog,ideriv,dt,inp,dw)
            glm=glm*rr**(il+2)
            write(11,*)cc,il,im,glm,0.0d0
c
            i=i+itg
            glm=DBVALU(tkg,bc(i),itg,isog,ideriv,dt,inp,dw)
            glm=glm*rr**(il+2)
            write(11,*)cc,il,-im,glm,0.0d0
c
          enddo
        enddo
c
        deallocate(dw)
        close(11)
c
        stop
        end
